org.jboss.jca.core.spi.rar

## Interface Activation

-     public interface Activation

  An activation representation
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.resource.spi.ActivationSpec` | `createInstance()` Create an instance of the associated activation spec.
    `java.util.Map<java.lang.String,java.lang.Class<?>>` | `getConfigProperties()` Get the config-property map with name and type pair
    `java.util.Set<java.lang.String>` | `getRequiredConfigProperties()` Get the required config-property set with names

- - ### Method Detail

    - #### getConfigProperties

          java.util.Map<java.lang.String,java.lang.Class<?>> getConfigProperties()

      Get the config-property map with name and type pair
      Returns:
        The value

    - #### getRequiredConfigProperties

          java.util.Set<java.lang.String> getRequiredConfigProperties()

      Get the required config-property set with names
      Returns:
        The value

    - #### createInstance

          javax.resource.spi.ActivationSpec createInstance()
                                                    throws NotFoundException,
                                                           java.lang.InstantiationException,
                                                           java.lang.IllegalAccessException,
                                                           javax.resource.ResourceException

      Create an instance of the associated activation spec.
      Returns:
        The value
      Throws:
        `NotFoundException` - Thrown if the class is no longer available
        `java.lang.InstantiationException` - Thrown if an object couldn't created
        `java.lang.IllegalAccessException` - Thrown if object access is inaccessible
        `javax.resource.ResourceException` - Thrown if the activation spec can't be associated with the resource adapter

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)